package homework2_1;
/*
Необходимо реализовать игру. Алгоритм игры должен быть записан в
отдельном методе. В методе main должен быть только вызов метода с
алгоритмом игры.
Условия следующие:
Компьютер «загадывает» (с помощью генератора случайных чисел) целое
число M в промежутке от 0 до 1000 включительно. Затем предлагает
пользователю угадать это число. Пользователь вводит число с клавиатуры.
Если пользователь угадал число M, то вывести на экран "Победа!". Если
введенное пользователем число меньше M, то вывести на экран "Это число
меньше загаданного." Если введенное число больше, то вывести "Это число
больше загаданного." Продолжать игру до тех пор, пока число не будет отгадано
или пока не будет введено любое отрицательное число.
 */

import java.util.Scanner;

public class Task10 {
    public static void main(String[] args) {
        game();
    }

    /**
     * Компьютер «загадывает» целое число в промежутке от 0 до 1000 включительно.
     * Пользователю предлагается угадать это число.
     */
    public static void game() {
        double x = Math.random() * 1000;
        int m = (int) Math.round(x);
        System.out.println("Давай сыграем в игру! \nЯ загадал число от 0 до 1000 \nПопробуй отгадать!");
        count(m);
    }

    /**
     * Проверяет ввод на соответствие загаданному числу.
     * Победа || больше || меньше
     * @param m Загаданное число.
     */
    public static void count(int m) {
        Scanner scanner = new Scanner(System.in);
        int n = scanner.nextInt();
        if (n < 0) {
            System.out.println("Игра завершена");
            scanner.close();
        }else if (n == m) {
            System.out.println("Победа!");
            scanner.close();
        } else if (n > 1000) {
            System.out.println("Я загадал число от 0 до 1000");
            count(m);
        } else if (n < m) {
            System.out.println("Это число меньше загаданного.");
            count(m);
        } else if (n > m) {
            System.out.println("Это число больше загаданного.");
            count(m);
        }
    }
}
